Package org.eclipse.jdt.core.util

## Interface ILineNumberAttribute

All Superinterfaces:
  `IClassFileAttribute`

    public interface ILineNumberAttribute
    extends IClassFileAttribute

Description of a line number attribute as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`int[][]` `getLineNumberTable()` Answer back the array of pairs (start pc, line number) as specified in the JVM specifications.
`int` `getLineNumberTableLength()` Answer back the line number table length as specified in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

### Method Detail

#### getLineNumberTableLength

    int getLineNumberTableLength()

Answer back the line number table length as specified in the JVM specifications.

Returns:
  the line number table length as specified in the JVM specifications

#### getLineNumberTable

    int[][] getLineNumberTable()

Answer back the array of pairs (start pc, line number) as specified in the JVM specifications. Answer an empty array if none.

Returns:
  the array of pairs (start pc, line number) as specified in the JVM specifications. Answer an empty array if none